#! /usr/bin/env python

#
#Copyrigt (c) 2008
#		Matt Smith <melkor@orangepalantir.org>
#
#This file is part of GraphCutie,This file is part of Foobar.
#
#GraphCutie is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.
#
#GraphCutie is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with GraphCutie, in the file COPYING.  
#If not, see <http://www.gnu.org/licenses/>.
#
#GraphCutie uses both python and PyQT, GPL version.  The copyright notices
#can be found in copyright_notice.txt


try:
	from PyQt4 import QtGui
except:
	print "you need PyQt4 to use this application as a python script"
	
import sys,os

from QtDisplay import MainWindow
from SVGGraphics import SvgPlot
from Calculator import Calculator

__author__ = "Matt Smith"
__copyright__ = "Copyright 2008, GraphCutie"
__credits__ = []

__license__ = "GPL"
__version__ = "1.0"
__maintainer__ = "Matt Smith"
__email__ = "melkor@orangepalantir.org"
__status__ = "Release Candidate"

if __name__=="__main__":
	app = QtGui.QApplication(sys.argv)
	
	MyCalc = Calculator()
	MyPlot = SvgPlot()
	widget = MainWindow(MyCalc,MyPlot)
	widget.show()

	sys.exit(app.exec_())