#!/usr/bin/env python

#
#Copyrigt (c) 2008
#		Matt Smith <melkor@orangepalantir.org>
#
#This file is part of GraphCutie,This file is part of Foobar.
#
#GraphCutie is free software: you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.
#
#GraphCutie is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with GraphCutie, in the file COPYING.  
#If not, see <http://www.gnu.org/licenses/>.
#
#GraphCutie uses both python and PyQT, GPL version.  The copyright notices
#can be found in copyright_notice.txt


from PyQt4 import QtGui
from Calculator import VARIABLES,FUNCTIONS
class FunctionDisplay(QtGui.QTextBrowser):
	def __init__(self,parent=None):
		QtGui.QTextBrowser.__init__(self,parent)
		self.setFrameStyle(QtGui.QFrame.NoFrame)
		self.setFontPointSize(12)
		self.refresh()
	def refresh(self):
		self.setText("")
		for item in FUNCTIONS:
			self.setTextColor(QtGui.QColor('black'))
			self.setFontUnderline(True)
			self.insertPlainText("key")
			self.setFontUnderline(False)
			self.insertPlainText(": ")
			self.setTextColor(QtGui.QColor('blue'))
			self.insertPlainText(item)
			self.insertPlainText("\n")
			self.setTextColor(QtGui.QColor('black'))
			self.insertPlainText(FUNCTIONS[item].__doc__)
			self.insertPlainText("\n\n")
		text	="\n\t\t****VARIABLES****\n\n"
		for item in VARIABLES:
			if not item.startswith('xx'):
				text += "%s = %s \n"%(item,VARIABLES[item])
		self.insertPlainText(text)
	def focusInEvent(self,e):
		self.refresh()
		QtGui.QTextBrowser.focusInEvent(self,e)